> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update number pool

> Update pool details or add and remove phone numbers.



## OpenAPI

````yaml api-reference/number-pools/openapi.json PATCH /v1/number-pools/{id}
openapi: 3.0.3
info:
  title: Persistence Number Pools API
  version: '1.0'
  description: Manage groups of outbound phone numbers.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Number pools
paths:
  /v1/number-pools/{id}:
    patch:
      tags:
        - Number pools
      summary: Update number pool
      operationId: updateNumberPool
      parameters:
        - $ref: '#/components/parameters/PoolId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePoolRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolEnvelope'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PoolId:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    UpdatePoolRequest:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        addPhoneNumberIds:
          type: array
          items:
            type: string
        removePhoneNumberIds:
          type: array
          items:
            type: string
    PoolEnvelope:
      type: object
      properties:
        success:
          type: boolean
        data:
          $ref: '#/components/schemas/NumberPool'
    NumberPool:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        count:
          type: integer
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````